<?php 

/*
------------------------------------------------------------------------
adm/config_adm.php
------------------------------------------------------------------------
Clover Shop Pro 3.7.0 (FI)                                    2011-01-13
------------------------------------------------------------------------
    ___  __    _____  _  _  ____  ____      ___  _   _  _____  ____ 
   / __)(  )  (  _  )( \/ )( ___)(  _ \    / __)( )_( )(  _  )(  _ \
  ( (__  )(__  )(_)(  \  /  )__)  )   /    \__ \ ) _ (  )(_)(  )___/
   \___)(____)(_____)  \/  (____)(_)\_)    (___/(_) (_)(_____)(__)     

    Tekijnoikeus (c) 2001-2008 Apilaratas Oy, 2009- Clover Shop Oy

------------------------------------------------------------------------
 Tmn ohjelmiston tai sen osien kytt edellytt ohjelmiston kytt-
 oikeussopimuksen hyvksymist ja kyttoikeusluvan hankkimista Clover
 Shop Oy:lt. Luvaton kytt, kopiointi ja jakelu on kielletty.
 >>> http://www.clovershop.com
------------------------------------------------------------------------
*/



// Lets set error reporting sensitivity.

error_reporting (E_ERROR | E_WARNING | E_PARSE);


// Lets make sure that nobody visits this page for fun.
// Actually visiting this page does nothing harmful.

if (preg_match ("/\/config_adm.php/", $_SERVER['PHP_SELF'])) exit;


// Lets unset the configuration settings.

unset ($config);



//-----------------------------------------------------------------
// MySQL-tietokannan asetukset. Kaikki kohdat ovat pakollisia.
//-----------------------------------------------------------------

$config['mysql_database'] = "";            // 1) MySQL-tietokannan nimi
$config['mysql_server'] = "";              // 2) MySQL-tietokantapalvelimen osoite 
$config['mysql_readwrite_username'] = "";  // 3) MySQL-kyttjtunnus (luku ja kirjoitus)
$config['mysql_readwrite_password'] = "";  // 4) MySQL-salasana       (luku ja kirjoitus)
$config['mysql_read_username'] = "";       // 5) MySQL-kyttjtunnus (vain luku tai sama kuin kohdassa 3)
$config['mysql_read_password'] = "";       // 6) MySQL-salasana       (vain luku tai sama kuin kohdassa 4)


















// END OF THE CONFIGURATION - NO NEED TO ALTER BELOW!
//-----------------------------------------------------------------


// Switch to a safe demo mode? 1=yes, commented out=no

// $config['demo_mode'] = 1;


// Timestamp format. Do not touch!

$config['timestamp'] = date ("Y-m-d H:i:s");


// Character set of the MySQL database connection. Do not touch!

$config['mysql_set_names'] = "latin1";


// Lets set PHP configuration settings. Do not touch!

ini_set ("session.use_cookies", 1);
ini_set ("session.use_trans_sid", false);
ini_set ("session.save_handler", "files"); 


// Lets specify a cache control method to use for session pages. Do not touch!

session_cache_limiter ('none');


// Lets start a session. Notice! session_start() must be called
// before anything is output to the browser. Do not touch!

session_start();


// Price correction function. Do not touch!

function correct ($price) {

	$price = str_replace (",", ".", $price);
  	     	      	        	   	       		         	    	   	   	     
	if ($price > 0 && is_numeric ($price)) {
		$price = str_replace (" ","", $price);
		$price = round ($price, 2);
		$price_split = preg_split ("/\./", $price);
		if ((strlen (strval ($price_split[1])) == 1) && $price_split[1]) $price = $price ."0";
		if (!$price_split[1]) $price = $price .".00";
		return $price;
	} else {
		return "0.00";
	}

}


// Lets set table names. Do not touch!

$clover_shop_categories = "clover_shop_fi_categories";
$clover_shop_products = "clover_shop_fi_products";
$clover_shop_options = "clover_shop_fi_options";
$clover_shop_orders = "clover_shop_fi_orders";
$clover_shop_delivery_costs = "clover_shop_fi_delivery_costs";
$clover_shop_settings = "clover_shop_fi_settings";


// Lets set MySQL table definitions. Do not touch!

$clover_shop_categories_fields = array (
	"cs_category_listing_position" => "int (7)",    // AUTOMATIC/GET
	"cs_category_level" => "tinyint (2) unsigned",  // POST/GET
	"cs_category_title" => "varchar (40)",          // POST
	"cs_category_logo" => "varchar (100)",          // POST
	"cs_category_description" => "TEXT"             // POST
);

$clover_shop_products_fields = array (
	"cs_category_id" => "int unsigned",                        // POST, <-> clover_shop_categories
	"cs_product_category_id_other" => "int unsigned",          // POST
	"cs_product_listing_position" => "int unsigned",           // AUTOMATIC/GET
	"cs_product_visible" => "tinyint (1) unsigned",            // POST
	"cs_product_options_exists" => "tinyint (1) unsigned",     // AUTOMATIC
	"cs_product_title" => "varchar (80)",                      // POST
	"cs_product_price_1" => "decimal (12,2)",                  // POST
	"cs_product_special_price_1" => "decimal (12,2)",          // POST
	"cs_product_price_2" => "decimal (12,2)",                  // POST
	"cs_product_special_price_2" => "decimal (12,2)",          // POST
	"cs_product_inventory_price" => "decimal (12,2)",          // POST
	"cs_product_size" => "varchar (10)",                       // POST
	"cs_product_delivery_cost_unit" => "decimal (12,2)",       // POST
	"cs_product_stock" => "mediumint unsigned",                // POST
	"cs_product_sold" => "mediumint unsigned",                 // POST
	"cs_product_picture_thumbnail" => "varchar (100)",         // POST
	"cs_product_picture_1" => "varchar (100)",                 // POST
	"cs_product_picture_2" => "varchar (100)",                 // POST
	"cs_product_description_1" => "TEXT",                      // POST
	"cs_product_description_2" => "TEXT",                      // POST
	"cs_product_description_3" => "TEXT",                      // POST
	"cs_product_code" => "char (20)",                          // AUTOMATIC/POST
	"cs_product_manufacturer_code" => "varchar (30)",          // POST
	"cs_product_tax_percent_1" => "decimal (5,2)",             // POST
	"cs_product_tax_percent_2" => "decimal (5,2)",             // POST
	"cs_product_available_date" => "date",                     // POST
	"cs_product_non_discountable" => "tinyint (1) unsigned",   // POST
	"cs_product_datetime_last_modified" => "datetime"          // AUTOMATIC
);

$clover_shop_options_fields = array (
	"cs_product_id" => "int (7)",                          // AUTOMATIC, <-> clover_shop_products
	"cs_option_listing_position" => "int unsigned",        // AUTOMATIC/GET
	"cs_option_visible" => "tinyint (1) unsigned",         // POST
	"cs_option_menu" => "tinyint (2) unsigned",            // POST
	"cs_option_title" => "varchar (60)",                   // POST
	"cs_option_extra_price_1" => "decimal (12,2)",         // POST
	"cs_option_extra_price_2" => "decimal (12,2)",         // POST
	"cs_option_inventory_price" => "decimal (12,2)",       // POST
	"cs_option_stock" => "mediumint unsigned",             // POST
	"cs_option_sold" => "mediumint unsigned",              // POST
	"cs_option_delivery_cost_unit" => "decimal (12,2)",    // POST
	"cs_option_picture" => "varchar (100)",                 // POST
	"cs_option_code" => "char (20)",                       // POST
	"cs_option_datetime_last_modified" => "datetime"       // AUTOMATIC
);

$clover_shop_orders_fields = array (
	"cs_customer_id" => "int (7)",                   // AUTOMATIC, <-> clover_shop_customers
	"cs_order_datetime" => "datetime",               // AUTOMATIC
	"cs_order_payment_method" => "varchar (50)",     // POST
	"cs_order_reference_number" => "varchar (20)",   // POST
	"cs_order_grand_total" => "decimal (12,2)",      // POST
	"cs_order_status" => "varchar (20)",             // POST
	"cs_order_details" => "TEXT",                    // POST
	"cs_order_tracking_note" => "TEXT",              // POST
	"cs_order_merchant_notes" => "TEXT"              // POST
);

$clover_shop_delivery_costs_fields = array (
	"cs_delivery_costs" => "TEXT"                    // POST
);

$clover_shop_settings_fields = array (
	"cs_setting_cat_url" => "varchar (255)",                          // POST
	"cs_setting_sec_url" => "varchar (255)",                          // POST
	"cs_setting_adm_url" => "varchar (255)",                          // POST
	"cs_setting_cookie_domain" => "varchar (255)",                    // POST
	"cs_setting_user_license_number" => "int (10)",                   // POST
	"cs_setting_product_key" => "varchar (25)",                       // POST
	"cs_setting_username" => "char (32)",                             // POST
	"cs_setting_password_md5" => "char (32)",                         // POST
	"cs_setting_cur_html_bef" => "varchar (15)",                      // POST
	"cs_setting_cur_html_aft" => "varchar (15)",                      // POST
	"cs_setting_cur_plain_bef" => "varchar (10)",                     // POST
	"cs_setting_cur_plain_aft" => "varchar (10)",                     // POST
	"cs_setting_tax_name_1" => "varchar (10)",                        // POST
	"cs_setting_tax_percent_1" => "decimal (5,2)",                    // POST
	"cs_setting_tax_percent_1_delivery_costs" => "decimal (5,2)",     // POST
	"cs_setting_tax_included_1" => "tinyint (1) unsigned",            // POST
	"cs_setting_tax_name_2" => "varchar (10)",                        // POST
	"cs_setting_tax_percent_2" => "decimal (5,2)",                    // POST
	"cs_setting_tax_percent_2_delivery_costs" => "decimal (5,2)",     // POST
	"cs_setting_tax_included_2" => "tinyint (1) unsigned",            // POST
	"cs_setting_shop_name" => "varchar (50)",                         // POST
	"cs_setting_shop_email" => "varchar (50)",                        // POST
	"cs_setting_shop_email_copy" => "varchar (50)",                   // POST
	"cs_setting_contact_company_name" => "varchar (50)",              // POST
	"cs_setting_contact_street_line_1" => "varchar (50)",             // POST
	"cs_setting_contact_street_line_2" => "varchar (50)",             // POST
	"cs_setting_contact_street_line_3" => "varchar (50)",             // POST
	"cs_setting_contact_city" => "varchar (30)",                      // POST
	"cs_setting_contact_state_prov" => "varchar (30)",                // POST
	"cs_setting_contact_postal_code" => "varchar (15)",               // POST
	"cs_setting_contact_country" => "varchar (30)",                   // POST
	"cs_setting_contact_phone_number" => "varchar (30)",              // POST
	"cs_setting_contact_fax_number" => "varchar (30)",                // POST
	"cs_setting_contact_email" => "varchar (50)",                     // POST
	"cs_setting_trade_reg_number" => "varchar (20)",                  // POST
	"cs_setting_tax_id_number" => "varchar (20)",                     // POST
	"cs_setting_registered_office" => "varchar (50)",                 // POST
	"cs_setting_bank_name" => "varchar (50)",                         // POST
	"cs_setting_bank_account_number" => "varchar (30)",               // POST
	"cs_setting_bank_iban" => "varchar (30)",                         // POST
	"cs_setting_bank_bic" => "varchar (15)",                          // POST
	"cs_setting_bank_term_of_payment" => "tinyint (3) unsigned",      // POST
	"cs_setting_bank_delay_interest" => "decimal (5,2)",              // POST
	"cs_setting_shop_open" => "tinyint (1) unsigned",                 // POST
	"cs_setting_require_login" => "tinyint (1) unsigned",             // POST
	"cs_setting_on_contest" => "tinyint (1) unsigned",                // POST
	"cs_setting_on_feedback" => "tinyint (1) unsigned",               // POST
	"cs_setting_on_product_offers" => "tinyint (1) unsigned",         // POST
	"cs_setting_on_news" => "tinyint (1) unsigned",                   // POST
	"cs_setting_on_newsletter" => "tinyint (1) unsigned",             // POST
	"cs_setting_admin_automate_code" => "tinyint (1) unsigned",       // POST
	"cs_setting_product_catalog_mode" => "tinyint (1) unsigned",      // POST
	"cs_setting_product_option_radiobuttons" => "tinyint (1) unsigned",// POST
	"cs_setting_datetime_last_modified" => "datetime",                // AUTOMATIC
);

?>