DROP TABLE IF EXISTS clover_shop_fi_categories;#-#
DROP TABLE IF EXISTS clover_shop_fi_products;#-#
DROP TABLE IF EXISTS clover_shop_fi_options;#-#
DROP TABLE IF EXISTS clover_shop_fi_orders;#-#
DROP TABLE IF EXISTS clover_shop_fi_delivery_costs;#-#

CREATE TABLE clover_shop_fi_categories (cs_category_id int(7) NOT NULL AUTO_INCREMENT, cs_category_listing_position int (7), cs_category_level tinyint (2) unsigned, cs_category_title varchar (40), cs_category_logo varchar (100), cs_category_description TEXT, PRIMARY KEY (cs_category_id)) TYPE=MyISAM;#-#

CREATE TABLE clover_shop_fi_products (cs_product_id int(7) NOT NULL AUTO_INCREMENT, cs_category_id int unsigned, cs_product_category_id_other int unsigned, cs_product_listing_position int unsigned, cs_product_visible tinyint (1) unsigned, cs_product_options_exists tinyint (1) unsigned, cs_product_title varchar (80), cs_product_price_1 decimal (12,2), cs_product_special_price_1 decimal (12,2), cs_product_price_2 decimal (12,2), cs_product_special_price_2 decimal (12,2), cs_product_inventory_price decimal (12,2), cs_product_size varchar (10), cs_product_delivery_cost_unit decimal (12,2), cs_product_stock mediumint unsigned, cs_product_sold mediumint unsigned, cs_product_picture_thumbnail varchar (100), cs_product_picture_1 varchar (100), cs_product_picture_2 varchar (100), cs_product_description_1 TEXT, cs_product_description_2 TEXT, cs_product_description_3 TEXT, cs_product_code char (20), cs_product_manufacturer_code varchar (30), cs_product_tax_percent_1 decimal (5,2), cs_product_tax_percent_2 decimal (5,2), cs_product_available_date date, cs_product_non_discountable tinyint (1) unsigned, cs_product_datetime_last_modified datetime, PRIMARY KEY (cs_product_id), INDEX (cs_category_id)) TYPE=MyISAM;#-#

CREATE TABLE clover_shop_fi_options (cs_option_id int(7) NOT NULL AUTO_INCREMENT, cs_product_id int (7), cs_option_listing_position int unsigned, cs_option_visible tinyint (1) unsigned, cs_option_menu tinyint (2) unsigned, cs_option_title varchar (60), cs_option_extra_price_1 decimal (12,2), cs_option_extra_price_2 decimal (12,2), cs_option_inventory_price decimal (12,2), cs_option_stock mediumint unsigned, cs_option_sold mediumint unsigned, cs_option_delivery_cost_unit decimal (12,2), cs_option_picture varchar (100), cs_option_code char (20), cs_option_datetime_last_modified datetime, PRIMARY KEY (cs_option_id), INDEX (cs_product_id)) TYPE=MyISAM;#-#

CREATE TABLE clover_shop_fi_orders (cs_order_id int(7) NOT NULL AUTO_INCREMENT, cs_customer_id int (7), cs_order_datetime datetime, cs_order_payment_method varchar (50), cs_order_reference_number varchar (20), cs_order_grand_total decimal (12,2), cs_order_status varchar (20), cs_order_details TEXT, cs_order_tracking_note TEXT, cs_order_merchant_notes TEXT, PRIMARY KEY (cs_order_id), INDEX (cs_customer_id)) TYPE=MyISAM;#-#

CREATE TABLE clover_shop_fi_delivery_costs (cs_delivery_costs_id int(7) NOT NULL AUTO_INCREMENT, cs_delivery_costs TEXT, PRIMARY KEY (cs_delivery_costs_id)) TYPE=MyISAM;#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('1', '4', '1', 'Kannettavat soittimet', 'images/demo_cd_introduction.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.

Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('2', '6', '2', 'CD-soittimet', NULL, 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.

Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('3', '8', '3', 'Zony', 'logos/logo_zony.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('4', '10', '3', 'Panazonic', 'logos/logo_panazonic.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('5', '12', '2', 'MP3-soittimet', NULL, '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('6', '16', '2', 'Minidisc-soittimet', NULL, '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('7', '22', '1', 'Stereot', 'images/demo_stereo_introduction.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.

Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('8', '24', '2', 'Autostereot', NULL, '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('9', '28', '2', 'Kotiin', NULL, '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('10', '32', '1', 'Kamerat', 'images/demo_camera_introduction.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('11', '34', '2', '35mm-kamerat', NULL, '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('12', '40', '2', 'ASP-kamerat', NULL, '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('13', '44', '2', 'Digitaalikamerat', NULL, 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.

Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('14', '46', '3', 'Zony', 'logos/logo_zony.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('15', '48', '3', 'Panazonic', 'logos/logo_panazonic.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('16', '14', '3', 'Zony', 'logos/logo_zony.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('17', '18', '3', 'Panazonic', 'logos/logo_panazonic.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('18', '20', '3', 'Zony', 'logos/logo_zony.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('19', '26', '3', 'Yagen', 'logos/logo_yagen.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('20', '30', '3', 'Yagen', 'logos/logo_yagen.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('21', '36', '3', 'Yagen', 'logos/logo_yagen.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('22', '38', '3', 'Zony', 'logos/logo_zony.gif', '');#-#

INSERT INTO clover_shop_fi_categories (cs_category_id, cs_category_listing_position, cs_category_level, cs_category_title, cs_category_logo, cs_category_description) VALUES ('23', '42', '3', 'Yagen', 'logos/logo_yagen.gif', '');#-#

INSERT INTO clover_shop_fi_delivery_costs (cs_delivery_costs_id, cs_delivery_costs) VALUES ('40', 'Luotto- tai maksukortti;Suomi, Posti;
Nordean e-maksu;Suomi, Posti;
Osuuspankin verkkomaksupainike;Suomi, Posti;
Sampo Pankin Verkkomaksu;Suomi, Posti;
Aktia/Sp/Pop-maksu;Suomi, Posti;
Handelsbankenin verkkomaksu;Suomi, Posti;
landsbankenin e-maksu;Suomi, Posti;
Tapiolan verkkomaksu;Suomi, Posti;
PayPal;Suomi, Posti;
Suomen Verkkomaksut;Suomi, Posti;
Maksuturva;Suomi, Posti;
Ennakkomaksu, tilisiirto;Suomi, Posti;
Lasku;Suomi, Posti;
30;17.50;
15;14.10;
5;12.50;
2;11.80;
0;0.00;

Luotto- tai maksukortti;Suomi, Matkahuollon Lhell-paketti;
Nordean e-maksu;Suomi, Matkahuollon Lhell-paketti;
Osuuspankin verkkomaksupainike;Suomi, Matkahuollon Lhell-paketti;
Sampo Pankin Verkkomaksu;Suomi, Matkahuollon Lhell-paketti;
Aktia/Sp/Pop-maksu;Suomi, Matkahuollon Lhell-paketti;
Handelsbankenin verkkomaksu;Suomi, Matkahuollon Lhell-paketti;
landsbankenin e-maksu;Suomi, Matkahuollon Lhell-paketti;
Tapiolan verkkomaksu;Suomi, Matkahuollon Lhell-paketti;
PayPal;Suomi, Matkahuollon Lhell-paketti;
Suomen Verkkomaksut;Suomi, Matkahuollon Lhell-paketti;
Maksuturva;Suomi, Matkahuollon Lhell-paketti;
Ennakkomaksu, tilisiirto;Suomi, Matkahuollon Lhell-paketti;
Lasku;Suomi, Matkahuollon Lhell-paketti;
30;24.80;
25;22.20;
20;20.10;
15;17.50;
10;15.40;
5;13.40;
2;10.70;
0;0.00;

Luotto- tai maksukortti;Suomi, Matkahuollon Bussipaketti;
Nordean e-maksu;Suomi, Matkahuollon Bussipaketti;
Osuuspankin verkkomaksupainike;Suomi, Matkahuollon Bussipaketti;
Sampo Pankin Verkkomaksu;Suomi, Matkahuollon Bussipaketti;
Aktia/Sp/Pop-maksu;Suomi, Matkahuollon Bussipaketti;
Handelsbankenin verkkomaksu;Suomi, Matkahuollon Bussipaketti;
landsbankenin e-maksu;Suomi, Matkahuollon Bussipaketti;
Tapiolan verkkomaksu;Suomi, Matkahuollon Bussipaketti;
PayPal;Suomi, Matkahuollon Bussipaketti;
Suomen Verkkomaksut;Suomi, Matkahuollon Bussipaketti;
Maksuturva;Suomi, Matkahuollon Bussipaketti;
Ennakkomaksu, tilisiirto;Suomi, Matkahuollon Bussipaketti;
Lasku;Suomi, Matkahuollon Bussipaketti;
160;71.95;
140;62.60;
120;53.25;
100;43.90;
90;41.73;
80;38.55;
70;35.26;
60;32.08;
50;27.76;
40;24.57;
30;22.40;
25;19.74;
20;17.58;
15;14.90;
10;12.74;
5;10.70;
2;7.92;
0;0.00;

Luotto- tai maksukortti;EU, Posti;
Nordean e-maksu;EU, Posti;
Osuuspankin verkkomaksupainike;EU, Posti;
Sampo Pankin Verkkomaksu;EU, Posti;
Aktia/Sp/Pop-maksu;EU, Posti;
Handelsbankenin verkkomaksu;EU, Posti;
landsbankenin e-maksu;EU, Posti;
Tapiolan verkkomaksu;EU, Posti;
PayPal;EU, Posti;
Suomen Verkkomaksut;EU, Posti;
Ennakkomaksu, tilisiirto;EU, Posti;
Lasku;EU, Posti;
30;86.50;
25;76.00;
20;66.00;
15;56.00;
10;45.90;
5;39.90;
4;37.90;
3;35.90;
2;33.85;
1;31.90;
0;0.00;

Luotto- tai maksukortti;Muut maat, Posti;
Nordean e-maksu;Muut maat, Posti;
Osuuspankin verkkomaksupainike;Muut maat, Posti;
Sampo Pankin Verkkomaksu;Muut maat, Posti;
Aktia/Sp/Pop-maksu;Muut maat, Posti;
Handelsbankenin verkkomaksu;Muut maat, Posti;
landsbankenin e-maksu;Muut maat, Posti;
Tapiolan verkkomaksu;Muut maat, Posti;
PayPal;Muut maat, Posti;
Suomen Verkkomaksut;Muut maat, Posti;
Ennakkomaksu, tilisiirto;Muut maat, Posti;
Lasku;Muut maat, Posti;
30;166.40;
25;141.40;
20;116.45;
15;91.50;
10;66.50;
5;51.50;
4;46.60;
3;41.60;
2;36.60;
1;31.55;
0;0.00;

Postiennakko;Suomi, Posti;
30;25.55;
15;22.15;
5;20.55;
2;19.85;
0;0.00;

Nouto;Nouto;
Luotto- tai maksukortti;Nouto;
Nordean e-maksu;Nouto;
Osuuspankin verkkomaksupainike;Nouto;
Sampo Pankin Verkkomaksu;Nouto;
Aktia/Sp/Pop-maksu;Nouto;
Handelsbankenin verkkomaksu;Nouto;
landsbankenin e-maksu;Nouto;
Tapiolan verkkomaksu;Nouto;
PayPal;Nouto;
Suomen Verkkomaksut;Nouto;
Ennakkomaksu, tilisiirto;Nouto;
Lasku;Nouto;
1000000000;0.00;
0;0.00;');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('1', '1', '4', '1', '1', '\"Silver\"', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100001-1', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('2', '1', '6', '1', '1', 'Gold', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100001-2', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('3', '1', '8', '1', '1', 'Red/Silver', '5.99', NULL, NULL, NULL, NULL, NULL, NULL, '100001-3', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('4', '1', '10', '1', '1', 'Blue/Silver', '7.99', NULL, NULL, NULL, NULL, NULL, NULL, '100001-4', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('5', '1', '12', '1', '2', 'without belt', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100001-5', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('6', '1', '14', '1', '2', 'with belt', '5.00', NULL, NULL, NULL, NULL, NULL, NULL, '100001-6', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('7', '10', '16', '1', '1', 'Black', NULL, NULL, '9.90', '2', '3', NULL, NULL, '100010-7', '2011-01-24 13:03:45');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('8', '10', '18', '1', '1', 'Gray', NULL, NULL, '9.90', '4', '5', NULL, NULL, '100010-8', '2011-01-24 13:03:48');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('9', '15', '20', '1', '1', 'standard', NULL, NULL, '38.00', '45', '3', NULL, NULL, '100015-9', '2011-01-24 13:04:34');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('10', '15', '22', '1', '1', 'luxus', '5.00', NULL, '40.00', '3', '4', NULL, NULL, '100015-10', '2011-01-24 13:04:37');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('11', '16', '24', '1', '1', 'standard', NULL, NULL, NULL, NULL, '7', NULL, NULL, '100016-11', '2011-01-21 11:44:53');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('12', '16', '26', '1', '1', 'luxus', NULL, NULL, NULL, NULL, '10', NULL, NULL, '100016-12', '2011-01-21 11:44:57');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('13', '17', '28', '1', '1', 'Silver', NULL, NULL, NULL, '3', '1', NULL, 'images/silver.jpg', '100017-13', '2011-01-21 11:45:32');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('14', '17', '30', '1', '1', 'Gold', NULL, NULL, NULL, '6', '2', NULL, 'images/gold.jpg', '100017-14', '2011-01-21 11:45:35');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('15', '17', '32', '1', '1', 'Red/Silver', NULL, NULL, NULL, '3', '3', NULL, 'images/red_silver.jpg', '100017-15', '2011-01-21 11:45:38');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('16', '17', '34', '1', '1', 'Blue/Silver', NULL, NULL, NULL, '1', '1', NULL, 'images/blue_silver.jpg', '100017-16', '2011-01-21 11:45:42');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('17', '17', '36', '1', '2', 'no equipments', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100017-17', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('18', '17', '38', '1', '2', 'with headphones', '5.00', NULL, NULL, NULL, NULL, NULL, NULL, '100017-18', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('19', '18', '42', '1', '1', 'Silver', NULL, NULL, NULL, '4', '8', NULL, 'images/silver_0412_4a7.jpg', '100018-19', '2011-01-21 11:26:06');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('20', '18', '44', '1', '1', 'Gold', NULL, NULL, NULL, '5', '3', NULL, 'images/gold_0412_f76.jpg', '100018-20', '2011-01-21 11:26:11');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('21', '18', '40', '1', '1', 'Red/Silver', NULL, NULL, NULL, '1', '6', NULL, 'images/red_silver_0412_1ed.jpg', '100018-21', '2011-01-11 13:58:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('22', '18', '46', '1', '1', 'Blue/Silver', NULL, NULL, NULL, '2', '5', NULL, 'images/blue_silver_0412_5c2.jpg', '100018-22', '2011-01-21 11:26:18');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('23', '18', '48', '1', '2', 'no equipments', NULL, NULL, NULL, NULL, '6', NULL, NULL, '100018-23', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('24', '18', '50', '1', '2', 'with headphones', '5.00', NULL, NULL, NULL, NULL, NULL, NULL, '100018-24', '2011-01-09 20:37:32');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('25', '20', '52', '1', '1', 'Junior (green)', NULL, NULL, '14.90', '2', '6', NULL, NULL, '100020-25', '2011-01-24 13:05:45');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('26', '20', '54', '1', '1', 'Senior (black)', NULL, NULL, '14.90', '3', '7', NULL, NULL, '100020-26', '2011-01-24 13:05:48');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('27', '22', '56', '1', '1', 'Silver', NULL, NULL, '95.00', '2', '3', NULL, NULL, '100022-27', '2011-01-24 13:06:45');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('28', '22', '58', '1', '1', 'Gold', NULL, NULL, '95.00', '4', '2', NULL, NULL, '100022-28', '2011-01-24 13:06:47');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('29', '22', '60', '1', '1', 'Red/Silver', NULL, NULL, '95.00', '1', '2', NULL, NULL, '100022-29', '2011-01-24 13:06:49');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('30', '22', '62', '1', '1', 'Blue/Silver', NULL, NULL, '95.00', '4', '5', NULL, NULL, '100022-30', '2011-01-24 13:06:52');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('31', '22', '64', '1', '2', 'FI', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100022-31', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('32', '22', '66', '1', '2', 'SV', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100022-32', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('33', '22', '68', '1', '2', 'DA', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100022-33', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('34', '22', '70', '1', '2', 'DE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100022-34', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('35', '23', '72', '1', '1', 'Silver', NULL, NULL, '14.00', '2', '7', NULL, 'images/silver_0412_e2c.jpg', '100023-35', '2011-01-21 11:26:50');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('36', '23', '74', '1', '1', 'Gold', NULL, NULL, '14.00', '2', '3', NULL, 'images/gold_0412_934.jpg', '100023-36', '2011-01-21 11:26:54');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('37', '23', '76', '1', '1', 'Red/Silver', NULL, NULL, '14.00', '3', '8', NULL, 'images/red_silver_0412_e3d.jpg', '100023-37', '2011-01-21 11:27:00');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('38', '23', '78', '1', '1', 'Blue/Silver', NULL, NULL, '14.00', '9', '7', NULL, 'images/blue_silver_0412_049.jpg', '100023-38', '2011-01-21 11:27:05');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('39', '24', '80', '1', '1', 'Bronze', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100024-39', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('40', '24', '82', '1', '1', 'Silver', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100024-40', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('41', '24', '84', '1', '1', 'Gold', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100024-41', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('42', '25', '86', '1', '1', 'Silver', NULL, NULL, '19.00', '3', '7', NULL, 'images/silver.jpg', '100025-42', '2011-01-21 11:25:14');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('43', '25', '88', '1', '1', 'Gold', NULL, NULL, '19.00', '5', '3', NULL, 'images/gold.jpg', '100025-43', '2011-01-21 11:25:07');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('44', '25', '90', '1', '1', 'Red/Silver', NULL, NULL, '19.00', '2', '6', NULL, 'images/red_silver.jpg', '100025-44', '2011-01-21 11:25:02');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('45', '25', '92', NULL, '1', 'Blue/Silver', NULL, NULL, '19.00', NULL, '5', NULL, 'images/blue_silver.jpg', '100025-45', '2011-01-21 11:24:49');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('46', '26', '94', '1', '1', 'Silver', NULL, NULL, '20.00', '3', '14', NULL, 'images/silver.jpg', '100026-46', '2011-01-21 11:27:54');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('47', '26', '96', '1', '1', 'Gold', NULL, NULL, '20.00', '3', '4', NULL, 'images/gold.jpg', '100026-47', '2011-01-21 11:27:59');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('48', '26', '98', '1', '1', 'Red/Silver', NULL, NULL, '20.00', '3', '2', NULL, 'images/red_silver.jpg', '100026-48', '2011-01-21 11:28:03');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('49', '26', '100', '1', '1', 'Blue/Silver', NULL, NULL, '20.00', '2', '9', NULL, 'images/blue_silver.jpg', '100026-49', '2011-01-21 11:28:08');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('50', '28', '104', '1', '1', 'Silver, matte', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100028-50', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('51', '28', '106', '1', '1', 'Gold, matte', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100028-51', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('52', '28', '108', '1', '2', 'XS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100028-52', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('53', '28', '110', '1', '2', 'L', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100028-53', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_options (cs_option_id, cs_product_id, cs_option_listing_position, cs_option_visible, cs_option_menu, cs_option_title, cs_option_extra_price_1, cs_option_extra_price_2, cs_option_inventory_price, cs_option_stock, cs_option_sold, cs_option_delivery_cost_unit, cs_option_picture, cs_option_code, cs_option_datetime_last_modified) VALUES ('54', '28', '112', '1', '2', 'XL', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '100028-54', '2011-01-07 21:06:40');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('1', NULL, '2011-01-10 17:32:00', 'Postiennakko', '1798874', '58.40', 'Lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100004 Panazonic Digital Audio Player DAP;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">21.85&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">21.85&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">4.09&nbsp;&#8364;</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100047 Zony MiniDisc Player MD45;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">16.00&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">16.00&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.99&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">37.85&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">7.08&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">20.55&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">3.84&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">58.40&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">10.92&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Postiennakko, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Minttu</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Minttula</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Mintuntie 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Minttunen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Minttu</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Minttula</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Mintuntie 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Minttunen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Avoin (2011-01-10 17:32:00)
Lhetetty (2011-01-10 17:34:07)', 'Tilaus on todennkisesti onnistunut (2011-01-10 17:32:01)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('2', NULL, '2011-01-10 17:33:40', 'Ennakkomaksu, tilisiirto', '1798913', '25.09', 'Peruuntunut', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100030 Zony MP3 CD Player;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">13.29&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">13.29&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.49&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">13.29&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.49&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.80&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.21&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">25.09&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">4.70&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Ennakkomaksu, tilisiirto, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Tommi</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Tommila</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Tomminkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Tomminen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Tommi</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Tommila</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Tomminkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Tomminen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Peruuntunut (2011-01-10 17:33:45)', 'Peruuntunut tilauksen aikana (2011-01-10 17:33:45)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('3', NULL, '2011-01-10 17:36:15', 'Maksuturva', '1798942', '200.68', 'Avoin', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100030 Zony MP3 CD Player;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">13.29&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">26.58&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">4.97&nbsp;&#8364;</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100014 Yagen Home Stereo2;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">160.00&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">160.00&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">29.92&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">186.58&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">34.89&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">14.10&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.64&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">200.68&nbsp;&#8364;</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">37.53&nbsp;&#8364;</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Maksuturva, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Timo</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Timola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Timonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Timonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Timo</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Timola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Timonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Timonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Avoin (2011-01-10 17:36:15)', 'IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('4', NULL, '2011-01-10 17:38:38', 'Maksuturva', '1798984', '177.39', 'Peruuntunut', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100030 Zony MP3 CD Player;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">13.29</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">13.29</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.49</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100013 Yagen Home Stereo1;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">150.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">150.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">28.05</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">163.29</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">30.54</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">14.10</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.64</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">177.39</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">33.18</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Maksuturva, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Jussi</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Jussila</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Jussinkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Jussinen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Jussi</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Jussila</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Jussinkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Jussinen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Peruuntunut (2011-01-10 17:38:55)', 'Peruuntunut tilauksen aikana (2011-01-10 17:38:55)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('5', NULL, '2011-01-10 17:42:53', 'Suomen Verkkomaksut', '1799077', '335.95', 'Maksettu, lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100013 Yagen Home Stereo1;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">150.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">300.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">56.10</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100004 Panazonic Digital Audio Player DAP;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">21.85</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">21.85</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">4.09</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">321.85</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">60.19</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">14.10</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.64</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">335.95</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">62.83</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Suomen Verkkomaksut, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Sirkku</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Sirkkula</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Sirkuntie 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Sirkkunen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Sirkku</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Sirkkula</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Sirkuntie 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Sirkkunen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 17:43:27)

Maksettu, lhetetty (2011-01-10 18:05:05)', 'Maksu on todennkisesti onnistunut (2011-01-10 17:43:27)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('6', NULL, '2011-01-10 17:45:35', 'Tapiolan verkkomaksu', '1799129', '351.10', 'Maksettu, lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100007 Panazonic Digital Camera DC3000;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">122.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">122.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">22.81</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100032 Zony C701 Digital Camera 6.1 MegaPixel;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">159.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">159.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">29.73</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100010 Yagen 35mm Camera F600;<BR>100010-7 Black;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">25.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">50.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">9.35</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">331.00</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">61.89</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">20.10</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">3.76</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">351.10</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">65.65</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Tapiolan verkkomaksu, Suomi, Matkahuollon Lhell-paketti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Matti</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Mattila</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Matinkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Mattinen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Listiedot</P></TD><TD class=\"cartbasic\"><P>Huom! kiire</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Oskari</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Oskarila</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Oskarinkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Oskarinen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 17:46:48)
Maksettu, lhetetty (2011-01-10 18:07:41)', 'Maksu on todennkisesti onnistunut (2011-01-10 17:46:48)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('7', NULL, '2011-01-10 17:48:19', 'landsbankenin e-maksu', '1799190', '133.80', 'Maksettu, lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100007 Panazonic Digital Camera DC3000;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">122.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">122.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">22.81</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">122.00</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">22.81</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.80</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.21</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">133.80</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">25.02</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">landsbankenin e-maksu, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Sini</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Sinil</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Sininkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Sininen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Sini</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Sinil</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Sininkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Sininen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 17:46:52)
Maksettu, lhetetty (2011-01-10 18:07:25)', 'Maksu on todennkisesti onnistunut (2011-01-10 17:46:52)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('8', NULL, '2011-01-10 17:50:44', 'Handelsbankenin verkkomaksu', '1799242', '24.10', 'Maksettu, lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100031 Zony MiniDisc Recorder/Player MDSJE440;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.60</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.60</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.17</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.60</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.17</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">12.50</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.34</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">24.10</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">4.51</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Handelsbankenin verkkomaksu, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Simo</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Simola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Simonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Simonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Simo</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Simola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Simonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Simonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 17:51:10)

Maksettu, lhetetty (2011-01-10 18:05:20)', 'Maksu on todennkisesti onnistunut (2011-01-10 17:51:10)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('9', NULL, '2011-01-10 17:52:53', 'Aktia/Sp/Pop-maksu', '1799310', '154.95', 'Maksettu, lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100023 Zony CD Player no 5%;<BR>100023-38 Blue/Silver;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">33.45</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">33.45</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">6.25</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100002 Panazonic CD player TX;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">29.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">29.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">5.59</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100031 Zony MiniDisc Recorder/Player MDSJE440;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.60</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.60</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.17</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100047 Zony MiniDisc Player MD45;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">16.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">16.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.99</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100018 Zony DEF200 Portable CD Player;<BR>100018-20 Gold;<BR>100018-23 no equipments;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">49.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">49.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">9.33</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">140.85</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">26.33</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">14.10</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.64</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">154.95</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">28.97</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Aktia/Sp/Pop-maksu, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Heta</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Hetala</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Hetankatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Hetanen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Heta</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Hetala</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Hetankatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Hetanen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 17:53:09)

Maksettu, lhetetty (2011-01-10 18:05:26)', 'Maksu on todennkisesti onnistunut (2011-01-10 17:53:09)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('10', NULL, '2011-01-10 17:55:06', 'Sampo Pankin Verkkomaksu', '1799336', '107.20', 'Avoin', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100020 Zony Boost100 \"21\" CD Player;<BR>100020-25 Junior (green);<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">15.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">15.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.80</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100031 Zony MiniDisc Recorder/Player MDSJE440;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">11.60</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.20</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">4.34</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100018 Zony DEF200 Portable CD Player;<BR>100018-20 Gold;<BR>100018-24 with headphones;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">54.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">54.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">10.27</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">93.10</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">17.41</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">14.10</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.64</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">107.20</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">20.05</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Sampo Pankin Verkkomaksu, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan yritys</P></TD><TD class=\"cartbasic\"><P>Yritys Oy</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan Y-tunnus</P></TD><TD class=\"cartbasic\"><P>1234567-8</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Niko</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Nikola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Nikonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Nikonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan yritys</P></TD><TD class=\"cartbasic\"><P>Yritys Oy</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan Y-tunnus</P></TD><TD class=\"cartbasic\"><P>1234567-8</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Niko</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Nikola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Nikonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Nikonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Avoin (2011-01-10 17:55:06)', 'IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('11', NULL, '2011-01-10 17:57:14', 'Osuuspankin verkkomaksupainike', '1799417', '82.40', 'Maksettu, lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100020 Zony Boost100 \"21\" CD Player;<BR>100020-25 Junior (green);<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">15.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">15.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.80</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100018 Zony DEF200 Portable CD Player;<BR>100018-20 Gold;<BR>100018-24 with headphones;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">54.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">54.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">10.27</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">69.90</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">13.07</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">12.50</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.34</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">82.40</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">15.41</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Osuuspankin verkkomaksupainike, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Pekka</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Pekkala</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Pekankatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Pekkanen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Pekka</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Pekkala</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Pekankatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Pekkanen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 17:59:00)
Maksettu, lhetetty (2011-01-10 18:12:56)', 'Maksu on todennkisesti onnistunut (2011-01-10 17:59:00)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('12', NULL, '2011-01-10 18:00:57', 'Nordean e-maksu', '1799462', '159.99', 'Maksettu', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100044 Zony MP3 CD Player (second hand);<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">9.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">9.90</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1.85</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100047 Zony MiniDisc Player MD45;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">16.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">16.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.99</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100008 Panazonic C672 Digital Camera FINPIX2400;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">119.99</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">119.99</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">22.44</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">145.89</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">27.28</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">14.10</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.64</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">159.99</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">29.92</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Nordean e-maksu, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan yritys</P></TD><TD class=\"cartbasic\"><P>Testiyritys Oy</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan Y-tunnus</P></TD><TD class=\"cartbasic\"><P>0123456-7</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Timo</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Timola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Timonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Timonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Listiedot</P></TD><TD class=\"cartbasic\"><P>Toimitus mielelln vasta ensi viikolla.</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan yritys</P></TD><TD class=\"cartbasic\"><P>Testiyritys Oy</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan Y-tunnus</P></TD><TD class=\"cartbasic\"><P>0123456-7</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Timo</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Timola</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Timonkatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Timonen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 18:01:11)
', 'Maksu on todennkisesti onnistunut (2011-01-10 18:01:11)
IP: 127.125.77.228
');#-#

INSERT INTO clover_shop_fi_orders (cs_order_id, cs_customer_id, cs_order_datetime, cs_order_payment_method, cs_order_reference_number, cs_order_grand_total, cs_order_status, cs_order_details, cs_order_tracking_note, cs_order_merchant_notes) VALUES ('13', NULL, '2011-01-10 18:03:23', 'Luotto- tai maksukortti', '1799475', '149.09', 'Maksettu, lhetetty', '<TABLE width=\"100%\" cellpadding=2 cellspacing=0>
<TR><TD valign=\"bottom\"><P class=\"smallfade\">Tuote</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Kpl</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yksikkhinta</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">Yhteens</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV%</P></TD><TD valign=\"bottom\" align=\"center\"><P class=\"smallfade\">ALV</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100008 Panazonic C672 Digital Camera FINPIX2400;<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">119.99</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">119.99</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">22.44</P></TD></TR>
<TR><TD class=\"cartbasic\"><P class=\"cartbasic\">100020 Zony Boost100 \"21\" CD Player;<BR>100020-26 Senior (black);<BR></P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">1</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">15.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">15.00</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.80</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Yhteens</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">134.99</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">25.24</P></TD></TR>
<TR><TD align=\"right\" colspan=3 class=\"cartbasic\"><P class=\"smallfade\">Toimituskulut</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">14.10</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">23.00%</P></TD><TD align=\"center\" class=\"cartbasic\"><P class=\"cartbasic\">2.64</P></TD></TR>
<TR><TD align=\"center\" colspan=2 class=\"cartbasic\">&nbsp;</TD><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Loppusumma</P></TD><TD align=\"center\" class=\"carttotal\"><P class=\"carttotal\">149.09</P></TD><TD align=\"center\" class=\"carttotal\">&nbsp;</TD><TD align=\"center\" class=\"carttotal\"><P class=\"cartbasic\">27.88</P></TD></TR>
<TR><TD align=\"right\" colspan=6 class=\"cartbasic\"><P class=\"smallbasic\">Luotto- tai maksukortti, Suomi, Posti</P></TD></TR>
</TABLE>
<TABLE cellpadding=3 cellspacing=0 width=\"100%\"><TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan etunimi</P></TD><TD class=\"cartbasic\"><P>Vilma</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Vilmala</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Vilmankatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Vilmanen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Tilaajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan etunimi</P></TD><TD class=\"cartbasic\"><P>Vilma</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan sukunimi</P></TD><TD class=\"cartbasic\"><P>Vilmala</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan katuosoite (rivi 1)</P></TD><TD class=\"cartbasic\"><P>Vilmankatu 1</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postinumero</P></TD><TD class=\"cartbasic\"><P>12345</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan postitoimipaikka</P></TD><TD class=\"cartbasic\"><P>Vilmanen</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan puhelinnumero</P></TD><TD class=\"cartbasic\"><P>(09) 000 0000</P></TD></TR>
<TR><TD align=\"right\" class=\"cartbasic\"><P class=\"smallfade\">Vastaanottajan shkpostiosoite</P></TD><TD class=\"cartbasic\"><P><a href=\"mailto:demo123@clovershop.com\">demo123@clovershop.com</a></P></TD></TR>
</TABLE>', 'Maksettu (2011-01-10 18:01:32)
Maksettu, lhetetty (2011-01-10 18:04:41)', 'Maksu on todennkisesti onnistunut (2011-01-10 18:01:32)
IP: 127.125.77.228');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('2', '4', NULL, '52', '2', NULL, 'Panazonic CD player TX', '39.90', '29.90', '29.90', '15.90', NULL, NULL, '1.20', '22', '243', 'images/demo_cd1_0412_7e7.gif', 'images/demo_cd2_0412_fe0.gif', 'images/demo_cd3_0412_63c.gif', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', '100002', 'PAN120', '23.00', NULL, NULL, NULL, '2011-01-12 18:58:35');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('3', '4', NULL, '54', '1', NULL, 'Panazonic CD player TR2000', '99.00', '89.00', '69.00', NULL, '59.97', NULL, '1.70', '23', '123', 'images/demo_cd1_0412_93a.gif', 'images/demo_cd2_0412_08e.gif', 'images/demo_cd3_0412_400.gif', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', '100003', 'PAN340', '23.00', NULL, NULL, NULL, '2011-01-12 18:58:30');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('4', '17', NULL, '72', '2', NULL, 'Panazonic Digital Audio Player DAP', '21.85', NULL, '17.00', NULL, '6.00', NULL, '2.50', '2', '34', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', NULL, '100004', NULL, '23.00', NULL, NULL, NULL, '2011-01-12 19:02:10');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('5', '4', NULL, '56', '1', NULL, 'Panazonic MP3/CD Player 3001', '28.40', NULL, '25.00', NULL, '21.50', NULL, '1.50', '2', '34', 'images/demo_cd1_0412_858.gif', 'images/demo_cd2_0412_789.gif', NULL, 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', '100005', 'PAN777', '23.00', NULL, NULL, NULL, '2011-01-12 19:00:17');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('6', '4', NULL, '58', '1', NULL, 'Panazonic 5-CD Changer/Single MiniDisc Recorder MXDD5C', '111.60', NULL, '88.90', NULL, '68.90', NULL, '2.50', '15', '87', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', '100006', NULL, '23.00', NULL, NULL, NULL, '2011-01-12 19:00:24');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('7', '15', NULL, '62', '2', NULL, 'Panazonic Digital Camera DC3000', '122.00', NULL, '99.00', NULL, '78.00', NULL, '2.00', '2', NULL, 'images/demo_camera1.gif', 'images/demo_camera2.gif', 'images/demo_camera3.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', '100007', 'DERF4566', '23.00', NULL, NULL, NULL, '2011-01-12 19:58:41');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('8', '15', NULL, '64', '1', NULL, 'Panazonic C672 Digital Camera FINPIX2400', '119.99', NULL, '109.00', NULL, '78.00', NULL, '4.50', '6', '34', 'images/demo_camera1.gif', 'images/demo_camera2.gif', 'images/demo_camera3.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', '100008', 'DEFF4444', '23.00', NULL, NULL, NULL, '2011-01-12 19:59:04');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('9', '15', NULL, '66', '1', NULL, 'Panazonic MT Digital Camera DCM1', '45.00', '34.00', NULL, NULL, NULL, NULL, '1.50', '5', '23', 'images/demo_camera1.gif', 'images/demo_camera2.gif', 'images/demo_camera3.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blah blah blah yakety yakety yak yak yak', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', '100009', 'HUGT666', '23.00', NULL, NULL, NULL, '2011-01-12 19:59:21');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('10', '21', NULL, '88', '2', '1', 'Yagen 35mm Camera F600', '46.00', '25.00', '35.00', '15.00', NULL, NULL, '5.50', '6', '8', 'images/demo_camera1_0412_052.gif', 'images/demo_camera2_0412_77a.gif', NULL, 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', NULL, '100010', 'YAG5034', '23.00', NULL, NULL, NULL, '2011-01-24 13:03:42');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('11', '23', NULL, '94', '1', NULL, 'Yagen ASP Camera1', '26.74', '16.65', '22.00', '17.00', '12.00', NULL, '6.00', '18', '213', 'images/demo_camera1.gif', 'images/demo_camera2.gif', 'images/demo_camera3.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', NULL, '100011', 'HHUHJK3', '23.00', NULL, NULL, NULL, '2011-01-08 12:12:10');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('12', '23', NULL, '96', '1', NULL, 'Yagen ASP Camera2', '43.73', '33.47', NULL, NULL, NULL, NULL, '5.50', '1', '2', 'images/demo_camera1_0412_b59.gif', 'images/demo_camera2_0412_e3a.gif', NULL, 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', NULL, '100012', 'Ree533', '23.00', NULL, NULL, NULL, '2011-01-12 19:57:43');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('13', '20', NULL, '84', '2', NULL, 'Yagen Home Stereo1', '150.00', NULL, '100.00', NULL, '50.00', NULL, '5.00', '2', '5', 'images/demo_stereo1_0412_75c.gif', 'images/demo_stereo2_0412_a38.gif', NULL, 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', NULL, '100013', NULL, '23.00', NULL, NULL, NULL, '2011-01-12 19:13:43');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('14', '20', NULL, '86', '1', NULL, 'Yagen Home Stereo2', '160.00', NULL, '110.00', NULL, '60.00', NULL, '5.00', '1', '4', 'images/demo_stereo1.gif', 'images/demo_stereo2.gif', NULL, 'Uskomattomat net. Blaah blaah blaah jkti jkti j.', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', '100014', NULL, '23.00', NULL, NULL, NULL, '2011-01-12 19:13:51');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('15', '19', NULL, '78', '1', '1', 'Yagen CarPlayer10', '99.00', NULL, '59.00', NULL, NULL, NULL, '3.00', '48', '7', 'images/demo_stereo1_0412_e60.gif', 'images/demo_stereo2_0412_ae2.gif', 'images/demo_stereo3_0412_9c7.gif', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', NULL, '100015', 'HUI7700', '23.00', NULL, NULL, NULL, '2011-01-24 13:04:31');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('16', '19', NULL, '80', '1', '1', 'Yagen CarStereo1', '45.00', '39.99', '23.00', '19.00', '14.00', NULL, '2.00', '8', '17', 'images/demo_stereo1_0412_707.gif', 'images/demo_stereo2_0412_101.gif', 'images/demo_stereo3_0412_524.gif', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', NULL, '100016', 'HUI7700', '23.00', NULL, NULL, NULL, '2011-01-12 19:13:23');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('17', '19', NULL, '82', '1', '1', 'Yagen CarStereo2', '50.00', NULL, '30.00', NULL, '21.00', NULL, '2.00', '13', '7', 'images/demo_stereo1.gif', 'images/demo_stereo2.gif', 'images/demo_stereo3.gif', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', 'Uskomattomat net. Blaah blaah blaah jkti jkti j. Uskomattomat net. Blaah blaah blaah jkti jkti j.', '100017', 'HUI7700', '23.00', NULL, NULL, NULL, '2011-01-21 11:45:28');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('18', '3', NULL, '6', '2', '1', 'Zony DEF200 Portable CD Player', '49.90', NULL, '39.90', NULL, '29.50', NULL, '3.35', '12', '22', 'images/demo_cd1_0412_1a8.gif', 'images/demo_cd2_0412_8f5.gif', 'images/demo_cd3_0412_94f.gif', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', '<UL>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
</UL>', '100018', 'HGJI77778', '23.00', NULL, NULL, '1', '2011-01-21 11:47:21');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('19', '3', NULL, '10', '1', NULL, 'Zony Walkman DEF400 Portable CD Player', '39.90', '29.90', '29.90', '25.90', '19.90', NULL, '1.50', '12', '47', 'images/demo_cd1_0412_ad5.gif', 'images/demo_cd2_0412_4aa.gif', 'images/demo_cd3_0412_720.gif', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', '100019', NULL, '23.00', NULL, NULL, '1', '2011-01-21 11:47:30');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('20', '3', NULL, '12', '2', '1', 'Zony Boost100 \"21\" CD Player', '30.00', '15.00', '25.00', '20.00', NULL, NULL, '1.00', '5', '13', 'images/demo_cd1_0412_405.gif', 'images/demo_cd2_0412_481.gif', 'images/demo_cd3_0412_480.gif', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', '100020', 'GJY6666-21', '23.00', NULL, NULL, NULL, '2011-01-24 13:05:43');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('21', '3', NULL, '16', '1', NULL, 'Zony Maximum Sound Portable CD Player', '59.99', NULL, '49.90', NULL, '39.50', NULL, '1.90', '25', '64', 'images/demo_cd1_0412_ff8.gif', 'images/demo_cd2_0412_f86.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', '100021', NULL, '23.00', NULL, '2011-01-12', NULL, '2011-01-21 11:47:43');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('22', '3', NULL, '18', '1', '1', 'Zony Music Player P4', '120.70', NULL, '100.70', NULL, NULL, '1.2 kg', '1.50', '11', '12', 'images/demo_cd1_0412_613.gif', 'images/demo_cd2_0412_ef1.gif', NULL, 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', NULL, '100022', 'ZJPT00345', '23.00', NULL, NULL, NULL, '2011-01-24 13:06:42');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('23', '3', NULL, '20', '2', '1', 'Zony CD Player no 5%', '33.45', NULL, '23.98', NULL, NULL, NULL, '1.50', '16', '25', 'images/demo_cd1_0412_279.gif', 'images/demo_cd2_0412_e64.gif', 'images/demo_cd3_0412_a8f.gif', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', '100023', 'HGJI77778', '23.00', NULL, NULL, NULL, '2011-01-21 11:43:51');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('24', '3', NULL, '24', '1', '1', 'Zony Portable CD Player waterproof', '58.00', NULL, '46.34', NULL, '38.32', NULL, '1.50', '76', '157', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', '100024', NULL, '23.00', NULL, NULL, '1', '2011-01-10 14:18:48');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('25', '3', NULL, '22', '2', '1', 'Zony CD Player 2001', '33.45', NULL, '24.87', NULL, NULL, NULL, '1.50', '10', '21', 'images/demo_cd1.gif', 'images/demo_cd2.gif', 'images/demo_cd3.gif', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', '100025', 'HTGVGV77', '23.00', NULL, NULL, NULL, '2011-01-21 11:25:20');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('26', '3', NULL, '26', '2', '1', 'Zony Portable CD Player8', '33.45', NULL, '29.09', NULL, NULL, NULL, '1.50', '11', '29', 'images/demo_cd1.gif', 'images/demo_cd2.gif', 'images/demo_cd3.gif', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', '100026', 'FRRR44', '23.00', NULL, NULL, NULL, '2011-01-21 11:28:14');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('27', '3', NULL, '28', '1', NULL, 'Zony Portable CD Player900', '33.45', NULL, '18.90', NULL, '12.00', NULL, '1.50', '15', '63', 'images/demo_cd1.gif', 'images/demo_cd2.gif', 'images/demo_cd3.gif', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', 'Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j. Digitaalisen musiikin ystville. Blaah blaah blaah jkti jkti j.', '100027', 'HUY778-001', '23.00', NULL, NULL, NULL, '2011-01-12 18:47:01');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('28', '3', NULL, '30', '1', '1', 'Zony Portable CD Player2', '21.86', NULL, '14.98', NULL, '9.54', NULL, '1.50', '4', '33', 'images/demo_cd1.gif', 'images/demo_cd2.gif', 'images/demo_cd3.gif', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', '100028', '899GUDT', '23.00', NULL, NULL, NULL, '2011-01-12 18:47:15');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('29', '3', NULL, '32', '1', NULL, 'Zony Portable CD Player3', '16.65', NULL, '13.00', NULL, '10.00', NULL, '1.40', '23', '44', 'images/demo_cd1.gif', 'images/demo_cd2.gif', 'images/demo_cd3.gif', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', NULL, 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', '100029', 'GYH7722I', '23.00', NULL, NULL, NULL, '2011-01-12 18:47:22');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('30', '16', NULL, '68', '2', NULL, 'Zony MP3 CD Player', '17.66', '13.29', '15.00', '12.00', '10.99', NULL, '1.60', '3', '46', 'images/demo_cd1_0412_7a0.gif', 'images/demo_cd2_0412_f02.gif', 'images/demo_cd3_0412_750.gif', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', NULL, '100030', NULL, '23.00', NULL, NULL, NULL, '2011-01-12 19:01:14');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('31', '18', NULL, '74', '2', NULL, 'Zony MiniDisc Recorder/Player MDSJE440', '11.60', NULL, '8.59', NULL, '3.00', NULL, '2.10', '4', '56', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', NULL, '100031', NULL, '23.00', NULL, NULL, NULL, '2011-01-12 19:02:34');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('32', '14', NULL, '60', '1', NULL, 'Zony C701 Digital Camera 6.1 MegaPixel', '159.00', NULL, '99.00', NULL, '79.00', NULL, '2.50', '2', '3', 'images/demo_camera1_0412_c3d.gif', 'images/demo_camera2_0412_149.gif', NULL, 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', NULL, '100032', 'C2709YTFGG', '23.00', NULL, NULL, NULL, '2011-01-12 19:57:59');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('33', '22', NULL, '92', '1', NULL, 'Zony 35mm Camera', '101.60', NULL, '56.00', NULL, '32.60', NULL, '2.50', '6', '34', 'images/demo_camera1_0412_c83.gif', 'images/demo_camera2_0412_cea.gif', NULL, 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', '100033', 'ZX-50023445', '23.00', NULL, NULL, NULL, '2011-01-12 19:56:35');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('34', '3', NULL, '34', NULL, NULL, 'Zony Portable CD Player 2001', '17.90', '9.99', '15.00', '9.99', '8.31', NULL, '1.50', NULL, '45', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', '100034', 'GYE2001', '23.00', NULL, NULL, NULL, '2011-01-12 18:48:08');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('35', '3', NULL, '36', NULL, NULL, 'Zony Portable CD Player 2002', '17.90', '9.99', '15.00', '9.99', '5.60', NULL, '1.50', NULL, '34', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', '100035', 'GYE2002', '23.00', NULL, NULL, NULL, '2011-01-21 11:28:56');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('36', '3', NULL, '38', NULL, NULL, 'Zony Portable CD Player 2003', '17.90', '9.99', '12.00', NULL, '6.80', NULL, '1.50', '4', '34', 'images/demo_cd1.gif', NULL, NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', NULL, '100036', 'GYE2003', '23.00', NULL, NULL, NULL, '2011-01-21 11:29:01');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('37', '3', NULL, '40', '1', NULL, 'Zony Portable CD Player 2004', '17.90', '9.99', '14.00', '12.00', '7.00', NULL, '1.50', '3', '44', 'images/demo_cd1.gif', NULL, NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', '100037', 'GYE2004', '23.00', NULL, NULL, NULL, '2011-01-12 18:49:31');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('38', '3', NULL, '42', '1', NULL, 'Zony Portable CD Player 2005', '17.90', '9.99', '12.00', NULL, '7.00', NULL, '1.50', '23', '45', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', '100038', 'GYE2005', '23.00', NULL, NULL, NULL, '2011-01-12 18:50:03');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('39', '3', NULL, '44', '1', NULL, 'Zony Portable CD Player 2006', '17.90', '9.99', '12.00', NULL, '7.00', NULL, '1.50', '1', '23', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito...', NULL, '100039', 'GYE2006', '23.00', NULL, NULL, NULL, '2011-01-12 18:50:13');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('40', '3', NULL, '46', '1', NULL, 'Zony Portable CD Player 2007', '15.90', '9.99', '12.00', NULL, '7.00', NULL, '1.50', '32', '46', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', NULL, NULL, '100040', 'GYE2007', '23.00', NULL, NULL, NULL, '2011-01-12 18:50:25');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('41', '3', NULL, '48', '1', NULL, 'Zony Portable CD Player 2008', '15.90', '9.99', '12.00', NULL, '7.00', NULL, '1.50', '3', '44', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', NULL, '100041', 'GYE2008', '23.00', NULL, NULL, NULL, '2011-01-12 18:50:32');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('42', '3', NULL, '50', '1', NULL, 'Zony Portable CD Player 2009', '15.90', '9.99', '12.00', NULL, '7.00', NULL, '1.50', '44', '134', 'images/demo_cd1.gif', 'images/demo_cd2.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', NULL, '100042', 'GYE2009', '23.00', NULL, NULL, NULL, '2011-01-12 18:50:38');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('43', '3', NULL, '14', '1', NULL, 'Zony Boost100 \"23\" CD Player', NULL, NULL, '20.00', NULL, '14.90', NULL, '0.60', '4', '2', 'images/demo_cd1_0412_405.gif', 'images/demo_cd2_0412_481.gif', NULL, 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', 'ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j. ni kuin aito... Blaah blaah blaah jkti jkti j.', '100043', 'GJY6666-23', '23.00', NULL, NULL, NULL, '2011-01-21 11:34:07');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('44', '16', NULL, '70', '2', NULL, 'Zony MP3 CD Player (second hand)', '9.90', NULL, NULL, NULL, '10.99', NULL, '1.60', '1', NULL, 'images/demo_cd1.gif', 'images/demo_cd2.gif', 'images/demo_cd3.gif', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', NULL, '100044', NULL, '23.00', NULL, NULL, NULL, '2011-01-12 19:01:44');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('45', '3', NULL, '8', '1', NULL, 'Zony DCJ201 Portable CD Player', '59.00', NULL, '39.00', NULL, '29.00', NULL, '2.00', '20', '36', 'images/demo_cd1_0412_c46.gif', 'images/demo_cd2_0412_31d.gif', 'images/demo_cd3_0412_97a.gif', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', '<UL><LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI>
<LI>Blah blah blah yakety yakety yak yak yak</LI></UL>', 'Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j. Anna musiikin ravistaa vartaloasi. Blaah blaah blaah jkti jkti j.', '100045', 'YUH7773', '23.00', NULL, NULL, '1', '2011-01-10 14:16:19');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('46', '21', NULL, '90', '1', NULL, 'Yagen 35mm Camera F800', '39.00', NULL, '29.00', NULL, '22.00', NULL, '3.00', '2', '3', 'images/demo_camera1.gif', 'images/demo_camera2.gif', 'images/demo_camera3.gif', 'Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j. Blaah blaah blaah jkti jkti j.', NULL, NULL, '100046', 'YAG5034', '23.00', NULL, NULL, NULL, '2011-01-12 19:56:11');#-#

INSERT INTO clover_shop_fi_products (cs_product_id, cs_category_id, cs_product_category_id_other, cs_product_listing_position, cs_product_visible, cs_product_options_exists, cs_product_title, cs_product_price_1, cs_product_special_price_1, cs_product_price_2, cs_product_special_price_2, cs_product_inventory_price, cs_product_size, cs_product_delivery_cost_unit, cs_product_stock, cs_product_sold, cs_product_picture_thumbnail, cs_product_picture_1, cs_product_picture_2, cs_product_description_1, cs_product_description_2, cs_product_description_3, cs_product_code, cs_product_manufacturer_code, cs_product_tax_percent_1, cs_product_tax_percent_2, cs_product_available_date, cs_product_non_discountable, cs_product_datetime_last_modified) VALUES ('47', '18', NULL, '76', '1', NULL, 'Zony MiniDisc Player MD45', '16.00', NULL, '12.00', NULL, '6.00', NULL, '1.20', '5', '8', 'images/demo_cd1.gif', 'images/demo_cd2.gif', 'images/demo_cd3.gif', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', 'Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j. Soitin on ehdottomasti yksi kaikkien aikojen parhaimmista. Blaah blaah blaah jkti jkti j.', '', '100047', 'MD45-T1', '23.00', NULL, '2008-12-01', NULL, '2011-01-21 11:42:53');#-#

# End
